      subroutine enerb(xi, yi, zi, i, enb, virb)
c
c    calculates the bond energy of particle i 
c
c     xi (input)    x coordinate particle i
c     yi (input)    y coordinate particle i
c     zi (input)    z coordinate particle i
c     enb (output)  bond energy particle i
c     virb (output)  bond virial particle i
c
      implicit none
      include 'param_soft.inc'
      real xi, yi, zi, enb, dx, dy, dz, 
     &     r2, virb
      integer i, j

      j=i+1
      if (mod(i,2).eq.0) j=i-1

            dx = xi - x(j)
            dy = yi - y(j)
            dz = zi - z(j)

            if (dx.gt.hbox) then
               dx = dx - box
            elseif (dx.lt.-hbox) then
               dx = dx + box
            end if

            if (dy.gt.hbox) then
               dy = dy - box
            elseif (dy.lt.-hbox) then
               dy = dy + box
            end if

            if (dz.gt.hbox) then
               dz = dz - box
            elseif (dz.lt.-hbox) then
               dz = dz + box
            end if

            r2 = dx*dx + dy*dy + dz*dz
            enb = 0.5*xk*r2
	    virb = -xk*r2

      return
      end
